#version 300 es

precision mediump float;

in vec4 aPosition;
in vec2 aTextureCoord;

out vec2 v_originTexCoord;

void main() {
    vec2 uv = vec2(aTextureCoord.x, 1.0 - aTextureCoord.y);

    v_originTexCoord = uv;
    gl_Position = aPosition;
}